EVERY FRAME TRIGGER
function()
	local charges = GetSpellCharges("Shield of the Righteous")
	if charges ~= aura_env.oldcharges then
		aura_env.time = (GetTime() * 1000) + 250
		aura_env.oldcharges = charges
		return true
	end
	aura_env.oldcharges = charges
	if aura_env.time > GetTime() * 1000 then
		return true
	else
		return false
	end
end

DISPLAY
function()
    local charges = GetSpellCharges("Shield of the Righteous")
    return charges
end

INIT
aura_env.time = GetTime()
aura_env.oldcharges = 0